package com.iamberry.wechat.core.entity.product;

import com.iamberry.wechat.core.entity.PageBean;

import java.util.Date;

/**
 * 产品配件表
 * Created by liuzhiwei on 2017/12/14.
 */
public class ProductFittings implements java.io.Serializable {

    private static final long serialVersionUID = -5278198298126095215L;

    private Integer fittingsId;         //id
    private Integer productColorId;          //产品颜色id
    private Integer productChildType;          //产品子类型
    private String fittingsColor;          //配件颜色
    private String fittingsName;        //配件名称
    private Integer fittingsPrice;      //配件市场价
    private Integer fittingsDiscount;   //配件折扣价
    private String fittingsBar;         //产品条码(SKU)
    private String fittingsPic;         //介绍图
    private Integer fittingsStatus;     //状态    1：使用中 2：未使用

    private String fittingsDesc;  //简介

    private Integer productType;    //产品大类id

    private PageBean page = new PageBean();	//分页信息

    private Date fittingsCretaeTime;    //创建时间

    public Integer getFittingsId() {
        return fittingsId;
    }

    public void setFittingsId(Integer fittingsId) {
        this.fittingsId = fittingsId;
    }

    public Integer getProductColorId() {
        return productColorId;
    }

    public void setProductColorId(Integer productColorId) {
        this.productColorId = productColorId;
    }

    public Integer getProductChildType() {
        return productChildType;
    }

    public void setProductChildType(Integer productChildType) {
        this.productChildType = productChildType;
    }

    public String getFittingsColor() {
        return fittingsColor;
    }

    public void setFittingsColor(String fittingsColor) {
        this.fittingsColor = fittingsColor;
    }

    public String getFittingsName() {
        return fittingsName;
    }

    public void setFittingsName(String fittingsName) {
        this.fittingsName = fittingsName;
    }

    public Integer getFittingsPrice() {
        return fittingsPrice;
    }

    public void setFittingsPrice(Integer fittingsPrice) {
        this.fittingsPrice = fittingsPrice;
    }

    public Integer getFittingsDiscount() {
        return fittingsDiscount;
    }

    public void setFittingsDiscount(Integer fittingsDiscount) {
        this.fittingsDiscount = fittingsDiscount;
    }

    public String getFittingsBar() {
        return fittingsBar;
    }

    public void setFittingsBar(String fittingsBar) {
        this.fittingsBar = fittingsBar;
    }

    public String getFittingsPic() {
        return fittingsPic;
    }

    public void setFittingsPic(String fittingsPic) {
        this.fittingsPic = fittingsPic;
    }

    public Integer getFittingsStatus() {
        return fittingsStatus;
    }

    public void setFittingsStatus(Integer fittingsStatus) {
        this.fittingsStatus = fittingsStatus;
    }

    public Date getFittingsCretaeTime() {
        return fittingsCretaeTime;
    }

    public void setFittingsCretaeTime(Date fittingsCretaeTime) {
        this.fittingsCretaeTime = fittingsCretaeTime;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public String getFittingsDesc() {
        return fittingsDesc;
    }

    public void setFittingsDesc(String fittingsDesc) {
        this.fittingsDesc = fittingsDesc;
    }
}
